/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import com.arrebol.apc.model.core.Office;
import java.io.Serializable;
import java.util.Date;
import java.util.Objects;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author Oscar Armando Vargas Cardenas <oscar.vargas@arrebol.com.mx>
 */
@Entity
@Immutable
@Table(name = "APC_LOAN_RENOVATION_DELIVERY_WEEKLY_VIEW")
public class LoanRenovationDeliveryWeeklyView implements Serializable {

    private static final long serialVersionUID = 3731003393000465083L;

    @Id
    @Column(name = "id", length = 36)
    private String id;
    
    @Column(name = "id_user", length = 36)
    private String id_user;

    @Column(name = "user_name")
    private String userName;
    
    @Column(name = "customer_name")
    private String customerName;

    @Column(name = "loan_status")
    private String loasStatus;
    
    @Column(name = "amount_loan")
    private String amountLoan;
    
    @Column(name = "amount_to_pay")
    private String amountToPay;
    
    @Column(name = "amount_paid")
    private String amountPaid;
   
    @Column(name = "saldo_insoluto")
    private String saldoInsoluto;
    
    @Column(name = "route_name")
    private String routeName;
    
    @Column(name = "payment_daily")
    private String paymentDaily;

    @Column(name = "num_pagos_all")
    private String numPagosAll;
    
    @Column(name = "num_fee")
    private String numFee;
    
    @Column(name = "renovation")
    private String renovation;
    
    

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getId_user() {
        return id_user;
    }

    public void setId_user(String id_user) {
        this.id_user = id_user;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getLoasStatus() {
        return loasStatus;
    }

    public void setLoasStatus(String loasStatus) {
        this.loasStatus = loasStatus;
    }

    public String getAmountToPay() {
        return amountToPay;
    }

    public void setAmountToPay(String amountToPay) {
        this.amountToPay = amountToPay;
    }

    public String getAmountPaid() {
        return amountPaid;
    }

    public void setAmountPaid(String amountPaid) {
        this.amountPaid = amountPaid;
    }

    public String getSaldoInsoluto() {
        return saldoInsoluto;
    }

    public void setSaldoInsoluto(String saldoInsoluto) {
        this.saldoInsoluto = saldoInsoluto;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public String getPaymentDaily() {
        return paymentDaily;
    }

    public void setPaymentDaily(String paymentDaily) {
        this.paymentDaily = paymentDaily;
    }

    public String getNumPagosAll() {
        return numPagosAll;
    }

    public void setNumPagosAll(String numPagosAll) {
        this.numPagosAll = numPagosAll;
    }

    public String getNumFee() {
        return numFee;
    }

    public void setNumFee(String numFee) {
        this.numFee = numFee;
    }

    public String getAmountLoan() {
        return amountLoan;
    }

    public void setAmountLoan(String amountLoan) {
        this.amountLoan = amountLoan;
    }

    public String getRenovation() {
        return renovation;
    }

    public void setRenovation(String renovation) {
        this.renovation = renovation;
    }
    

    
    

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 61 * hash + Objects.hashCode(this.id);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final LoanRenovationDeliveryWeeklyView other = (LoanRenovationDeliveryWeeklyView) obj;
        if (!Objects.equals(this.id, other.id)) {
            return false;
        }
        return true;
    }

}
